User Tools

Site Tools


installation:gams_and_ubuntu_linux

This is an old revision of the document!


GAMS and Ubuntu Linux (64bit)

There have been some issues with the installation of GAMS on Ubuntu Linux 64 bit (Linux ubuntu64 2.6.22-14-server). The main issue issue is that by default only 64bit programs will work there.

The GAMS installation scripts still rely on some 32bit programs (unzip) and thus will not work. Also some solvers are 32 bit based and will not work either - for details please consult the solver/platform availability matrix at http://www.gams.com/sales/academicp.htm.

To install GAMS in such an environment, you will have to install the missing 32 bit libraries.

These are part of the Linux Standard Base (see http://www.linux-foundation.org/en/LSB) and can be installed simply by:

sudo apt-get install lsb-core
sudo apt-get install ia32-libs 

If gamsunpack fails, you will also have to install the tcsh package.

IMPRESSUM / LEGAL NOTICEPRIVACY POLICY installation/gams_and_ubuntu_linux.1200037535.txt.gz · Last modified: 2008/01/11 08:45 by Franz Nelissen